[Toaster] [PATCH 3/3] toaster: bin/toaster Fix noweb command

Michael Wood michael.g.wood at intel.com
Wed Apr 20 10:46:11 PDT 2016


For the noweb command we don't need to check if a socket is in use or
not as we're not starting the django development server. We're just
setting up the environment and running the runbuilds scheduler.

Signed-off-by: Michael Wood <michael.g.wood at intel.com>
---
 bitbake/bin/toaster | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/bitbake/bin/toaster b/bitbake/bin/toaster
index d48a773..8906db4 100755
--- a/bitbake/bin/toaster
+++ b/bitbake/bin/toaster
@@ -255,7 +255,9 @@ case $CMD in
     start )
         # check if addr:port is not in use
         if [ "$CMD" == 'start' ]; then
-             $MANAGE checksocket "$ADDR_PORT" || return 1
+            if [ $WEBSERVER -gt 0 ]; then
+                $MANAGE checksocket "$ADDR_PORT" || return 1
+            fi
         fi
 
         # kill Toaster web server if it's alive
-- 
2.1.4



More information about the toaster mailing list